CUDNN Frontend API 8.3.0

Functions
TensorBuilder_v8

## Functions
auto | cudnn_frontend::TensorBuilder_v8::setDataType (cudnnDataType_t data_type_) -> TensorBuilder_v8 &
| Set Datatype for the Tensor_v8. More...
auto | cudnn_frontend::TensorBuilder_v8::setDim (int64_t ndim, int64_t const *dim) -> TensorBuilder_v8 &
| Set Dimensions of the tensor. More...
auto | cudnn_frontend::TensorBuilder_v8::setStrides (int64_t ndim, int64_t const *strides) -> TensorBuilder_v8 &
| Set Strides of the tensor. More...
auto | cudnn_frontend::TensorBuilder_v8::setId (int64_t id_) -> TensorBuilder_v8 &
| Set Unique Id of the tensor. More...
auto | cudnn_frontend::TensorBuilder_v8::setAlignment (int64_t alignment_) -> TensorBuilder_v8 &
| Set Alignment of the tensor. More...
auto | cudnn_frontend::TensorBuilder_v8::setVirtual (bool virtual_=true) -> TensorBuilder_v8 &
| Set Alignment of the tensor. More...
auto | cudnn_frontend::TensorBuilder_v8::setByValue (bool isByValue_=true) -> TensorBuilder_v8 &
auto | cudnn_frontend::TensorBuilder_v8::setVectorCountAndDimension (int64_t vectorCount_, int64_t vectorDimension_) -> TensorBuilder_v8 &

## Detailed Description

Set individual property of Tensor_v8 class

## Function Documentation

## ◆ setAlignment()

auto cudnn_frontend::TensorBuilder_v8::setAlignment | ( | int64_t | alignment_ | ) | -> TensorBuilder_v8 &
| inline

Set Alignment of the tensor.

Definition at line 173 of file cudnn_frontend_Tensor.h.

## ◆ setByValue()

auto cudnn_frontend::TensorBuilder_v8::setByValue | ( | bool | isByValue_ = `true` | ) | -> TensorBuilder_v8 &
| inline

Definition at line 184 of file cudnn_frontend_Tensor.h.

## ◆ setDataType()

auto cudnn_frontend::TensorBuilder_v8::setDataType | ( | cudnnDataType_t | data_type_ | ) | -> TensorBuilder_v8 &
| inline

Set Datatype for the Tensor_v8.

Definition at line 148 of file cudnn_frontend_Tensor.h.

## ◆ setDim()

auto cudnn_frontend::TensorBuilder_v8::setDim | ( | int64_t | ndim,
|  | int64_t const * | dim
| ) |  | -> TensorBuilder_v8 &
| inline

Set Dimensions of the tensor.

Definition at line 154 of file cudnn_frontend_Tensor.h.

## ◆ setId()

auto cudnn_frontend::TensorBuilder_v8::setId | ( | int64_t | id_ | ) | -> TensorBuilder_v8 &
| inline

Set Unique Id of the tensor.

Definition at line 167 of file cudnn_frontend_Tensor.h.

## ◆ setStrides()

auto cudnn_frontend::TensorBuilder_v8::setStrides | ( | int64_t | ndim,
|  | int64_t const * | strides
| ) |  | -> TensorBuilder_v8 &
| inline

Set Strides of the tensor.

Definition at line 161 of file cudnn_frontend_Tensor.h.

## ◆ setVectorCountAndDimension()

auto cudnn_frontend::TensorBuilder_v8::setVectorCountAndDimension | ( | int64_t | vectorCount_,
|  | int64_t | vectorDimension_
| ) |  | -> TensorBuilder_v8 &
| inline

Definition at line 189 of file cudnn_frontend_Tensor.h.

## ◆ setVirtual()

auto cudnn_frontend::TensorBuilder_v8::setVirtual | ( | bool | virtual_ = `true` | ) | -> TensorBuilder_v8 &
| inline

Set Alignment of the tensor.

Definition at line 179 of file cudnn_frontend_Tensor.h.